imports:
    - { resource: config.yml }
    - { resource: parameters_test.yml }
    - { resource: security.yml }

framework:
    router:
        resource: "%kernel.root_dir%/config/routing_dev.yml"
        strict_requirements: true
    test: ~
    session:
        storage_id: session.storage.mock_file
    profiler:
        only_exceptions: false
        collect: false

web_profiler:
    toolbar: false
    intercept_redirects: false

swiftmailer:
    disable_delivery: true

doctrine:
    dbal:
        connections:
            Backend:
                driver:  pdo_sqlite
                user:    test
                path:    "%kernel.root_dir%/test/databases/current/backend.db.cache"
                charset: utf8
            ServiceProvider:
                driver:  pdo_sqlite
                user:    test
                path:    "%kernel.root_dir%/test/databases/current/serviceProvider.db.cache"
                charset: utf8
            Webservice:
                driver:  pdo_sqlite
                user:    test
                path:    "%kernel.root_dir%/test/databases/current/webservice.db.cache"
                charset: utf8

monolog:
    channels: ["access"]
    handlers:
        error:
            type:         fingers_crossed
            action_level: error
            buffer_size: 200
            handler:      nested
        nested:
            type:  stream
            path:  "%kernel.logs_dir%/%kernel.environment%_error.log"
            level: debug
        main:
            type:   stream
            path:   "%kernel.logs_dir%/%kernel.environment%.log"
            level:  info
            buffer_size: 200
            formatter: monolog.formatter.track_id
        console:
            type:   console
            bubble: false
        dblog:
            type: service
            level: debug
            channels: [app, doctrine, "access"]
            id: lifestyle_monolog_db